## sabctools 7.0.2

=== debian/changelog ===
sabctools (7.0.2-1) unstable; urgency=medium

  * New upstream version 7.0.2

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 24 Jun 2023 09:53:31 +0000

sabctools (6.1.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1031720)

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 26 Mar 2023 16:42:30 +0000
