=== debian/tests/control ===
Tests: upstream-testsuite
Depends: @, python3-all, python3-chardet, python3-portend, python3-pytest
