## sabctools 7.1.2

=== debian/changelog ===
sabctools (7.1.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:58:37 +0000

sabctools (7.1.2-1) unstable; urgency=medium

  * New upstream version 7.1.2
  * Tests, Control: set testsuite: autopkgtest-pkg-pybuild, delete
    autopkgtest in d/tests.
  * Copyright: remove references to upstream's team@ email address, no
    longer in use.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 05 Oct 2023 05:35:25 +0000
