=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/sabctools.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sabctools
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sabctools
 Architecture: any
