## sabctools 8.1.0

=== debian/changelog ===
sabctools (8.1.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:53:00 +0000

sabctools (8.1.0-1) unstable; urgency=medium

  * New upstream version 8.1.0
  * Control: add build-dep on pybuild-plugin-pyproject.
  * Copyright: bump years.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 06 Feb 2024 13:27:44 +0000
