## sabctools 8.2.3

=== debian/changelog ===
sabctools (8.2.3-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 31 May 2024 09:09:05 +0000

sabctools (8.2.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 30 May 2024 06:02:08 +0000

sabctools (8.2.3-1) experimental; urgency=medium

  * New upstream version 8.2.3
  * Control: remove team from uploaders.
  * Control: point VCS links to private namespace.
  * Control: bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 24 May 2024 06:42:46 +0000

sabctools (8.1.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Keep CI adjustments for bookworm-backports in place.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 06 Feb 2024 13:57:41 +0000

sabctools (7.1.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * CI: switch distribution to bookworm-backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 10 Oct 2023 09:32:12 +0000
