## sabctools 8.2.6

=== tests/requirements.txt ===
pytest
chardet
jaraco.functools
portend
