=== debian/changelog ===
sabctools (8.2.6-2) unstable; urgency=medium

  * Patches: add 01, backport of upstream tests fix for Python 3.14.
    (Closes: #1117912)

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 12 Oct 2025 15:17:01 +0000

sabctools (8.2.6-1) unstable; urgency=medium

  * New upstream version 8.2.6
  * Bump Standards-Version to 4.7.2 (from 4.7.0; no further changes).
  * Copyright: bump years.
  * Copyright: replace FSF postal address with gnu.org/licenses URL.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 10 Aug 2025 03:56:03 +0000
