=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Section: python
 Priority: optional
 Maintainer: Jeroen Ploemen <jcfp@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -13,10 +12,10 @@
  python3-portend <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/packages/sabctools.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/sabctools
+Vcs-Git: https://salsa.debian.org/jcfp/sabctools.git
+Vcs-Browser: https://salsa.debian.org/jcfp/sabctools
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sabctools
