=== debian/watch ===
# Note: this watch file targets the github source tarball rather than
# sabctools-x.y.z.tar.gz, as the latter doesn't include the test suite
version=4
opts="filenamemangle=s%(?:.*?/)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/sabnzbd/sabctools/tags \
 (?:.*?/)?v?(\d[\d.]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
